
#ifndef INPUT_SOURCE_H
#define INPUT_SOURCE_H

#include <string>
#include <vector>

typedef struct px_mixer_lite {
    void *info;
    } px_mixer ;

class Mixer_Info
{
public:
    Mixer_Info ( unsigned mixer_id ) ;
    virtual ~Mixer_Info () ;

    std::string                 name ;
    std::vector<std::string>    source_name ;
    bool                        ok ;

    unsigned Get_Current_Source () ;
    void Set_Current_Source ( unsigned index ) ;

private:
    px_mixer                    Px [ 1 ] ;
} ;

class Input_Source
{
public:
    Input_Source () ;
    virtual ~Input_Source () ;

    std::vector<Mixer_Info *>   mixer ;
};

#endif

